Bug 66200 - overwrite /etc/resolv.conf no matter what.
overwrite /etc/resolv.conf no matter what.
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
All Linux
medium Severity high
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: rcn-7.3
  Show dependency treegraph
 
Reported: 2002-06-05 23:45 EDT by Joe Acosta
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-01 09:14:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2002-06-05 23:45:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0rc2) Gecko/20020510

Description of problem:
There is a setting in redhat-config-network (rhcn) that say s "Automatically
obtain DNS information from provider.  If this is or is not checked it still
obtains teh DNS from the ISP.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. setup a ppp account through the rhcn tool
2. add some listing in the /etc/resolv.conf
3. make sure that you uncheck the switch Automatically obtain DNS information
from ISP
4. connect to your isp
5. your settings in the /etc/resolv.conf are overwritten


Actual Results:  before 

search <local servername>.<domain>
nameserver <your specified IP>

after
search <local servername>.<domain>
nameserver 207.217.77.82
nameserver 207.217.77.83



Expected Results:  the file should be the same before and after

Additional info:

While this is fine in most cases when running a caching DNS server.

Workaround is to edit the file after connection and fix it.

This screws up the setting the system up so that a script could be run to cache
the most commonly accessed servers using dig.
Comment 1 Harald Hoyer 2002-06-26 12:14:23 EDT
fixed in CVS
Comment 2 Kiat Huang 2002-07-01 08:57:15 EDT
A workaround is to add "PEERDNS=no" to the appropriate ifcfg-pppX file
Harald, when's the new fix due out?
Comment 3 Harald Hoyer 2002-07-01 09:14:15 EDT
redhat-config-network >= 1.1.5
Comment 4 Harald Hoyer 2002-10-23 05:57:22 EDT
first beta of erratum is available at:
ftp://people.redhat.com/harald/redhat-config-network/1.0.1-1/

Most of the bugs reported have been removed, but as in every software change,
there could be new bugs introduced.

Please report bugs against this with explicitly stating the 1.0.1 version... Thx
and please test.
Comment 5 John Flanagan 2003-02-14 16:04:24 EST
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2002-267.html

Note You need to log in before you can comment on or make changes to this bug.